List and search packages
curl --request GET \
--url https://api.primeintellect.ai/api/v1/hub/packages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/hub/packages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/hub/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/hub/packages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/hub/packages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.primeintellect.ai/api/v1/hub/packages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/hub/packages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"owner": {
"kind": "user",
"slug": "<string>",
"id": "<string>",
"name": "<string>",
"image": "<string>"
},
"user_id": "<string>",
"name": "<string>",
"description": "<string>",
"license": "<string>",
"tags": [
"<string>"
],
"visibility": "public",
"is_hidden": true,
"is_featured": true,
"framework": "v0",
"bookmark_count": 123,
"install_count": 123,
"latest": {
"id": "<string>",
"version": "<string>",
"display_version": "<string>",
"content_hash": "<string>",
"framework": "v0",
"created_at": "2023-11-07T05:31:56Z",
"source": {
"filename": "<string>",
"sha256": "<string>"
},
"wheel": {
"filename": "<string>",
"sha256": "<string>"
},
"index_status": "processing",
"pushed_by": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"image": "<string>"
},
"refs": [
"<string>"
],
"yanked": false,
"yank_reason": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deprecation_notice": "<string>"
}
],
"next_cursor": "<string>",
"total": 123,
"featured_total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Hub
List and search packages
GET
/
api
/
v1
/
hub
/
packages
List and search packages
curl --request GET \
--url https://api.primeintellect.ai/api/v1/hub/packages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/hub/packages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/hub/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/hub/packages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/hub/packages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.primeintellect.ai/api/v1/hub/packages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/hub/packages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"owner": {
"kind": "user",
"slug": "<string>",
"id": "<string>",
"name": "<string>",
"image": "<string>"
},
"user_id": "<string>",
"name": "<string>",
"description": "<string>",
"license": "<string>",
"tags": [
"<string>"
],
"visibility": "public",
"is_hidden": true,
"is_featured": true,
"framework": "v0",
"bookmark_count": 123,
"install_count": 123,
"latest": {
"id": "<string>",
"version": "<string>",
"display_version": "<string>",
"content_hash": "<string>",
"framework": "v0",
"created_at": "2023-11-07T05:31:56Z",
"source": {
"filename": "<string>",
"sha256": "<string>"
},
"wheel": {
"filename": "<string>",
"sha256": "<string>"
},
"index_status": "processing",
"pushed_by": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"image": "<string>"
},
"refs": [
"<string>"
],
"yanked": false,
"yank_reason": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deprecation_notice": "<string>"
}
],
"next_cursor": "<string>",
"total": 123,
"featured_total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Query Parameters
Was this page helpful?